Apple y la obsolescencia programada

Muchos desarrolladores de App para Apple han descubierto, de la hoche a la mañana,  que para compilar y subir contenidos a la Apple Store necesitan actualizar sus entornos de desarrollo a  la nueva versión de XCODE, la 8.3.

La versión de XCODE 8.3 requiere de la versión del sistema operativo macOS sea la 10.12.x (“Sierra”), pero no todos los equipos de Apple la soportan, como por ejemplo el MacBook Pro que solamente soporta hasata las 10.11 (“Capitan”).

Las app de Sonotrigger Software no podrán funcionar en su dispositivo iOS si actualiza a una versión de iOS superios a la 10.2 actual.

Fin de la historia.

Para Apple el cliente, en lugar de ser en centro  y la razón de ser de la empresa, pasa a ser un medio que se usa y se abandona a su suerte.

No hace tanto acudí al servicio técnico de Braun a por una pieza de un electrodoméstic, y como ya estaba discontinuado el mantenimiento, me recompraron el electrodomestico para que pudiera comprar a precio de coste uno soportado, vaya diferencia de filosofía, vaya diferencia de trato.